Bug 1098802 - SELinux alerts starting and running couchdb
Summary: SELinux alerts starting and running couchdb
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: couchdb
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-18 19:18 UTC by Andrew Aylett
Modified: 2015-06-29 20:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:41:46 UTC


Attachments (Terms of Use)
Output of `sudo grep type=AVC /var/log/audit/audit.log` (2.43 KB, text/x-log)
2014-05-18 19:18 UTC, Andrew Aylett
no flags Details
Details from SETroubleshoot (2.15 KB, text/plain)
2015-02-02 20:40 UTC, Ingo Weiss
no flags Details
Output of 'sudo grep type=AVC /var/log/audit/audit.log' (4.96 KB, application/octet-stream)
2015-02-02 20:45 UTC, Ingo Weiss
no flags Details

Description Andrew Aylett 2014-05-18 19:18:55 UTC
Created attachment 896832 [details]
Output of `sudo grep type=AVC /var/log/audit/audit.log`

Description of problem:

After installing couchdb in F20, when starting the service you get SELinux alerts.  The web UI runs, but the internal self-test fails.


Version-Release number of selected component (if applicable):

Installed:
  couchdb.x86_64 0:1.5.0-1.fc20                                                 

Dependency Installed:
  erlang-asn1.x86_64 0:R16B-03.5.fc20                                           
  erlang-compiler.x86_64 0:R16B-03.5.fc20                                       
  erlang-crypto.x86_64 0:R16B-03.5.fc20                                         
  erlang-erts.x86_64 0:R16B-03.5.fc20                                           
  erlang-et.x86_64 0:R16B-03.5.fc20                                             
  erlang-gs.x86_64 0:R16B-03.5.fc20                                             
  erlang-hipe.x86_64 0:R16B-03.5.fc20                                           
  erlang-ibrowse.x86_64 0:2.2.0-8.fc20                                          
  erlang-inets.x86_64 0:R16B-03.5.fc20                                          
  erlang-kernel.x86_64 0:R16B-03.5.fc20                                         
  erlang-mnesia.x86_64 0:R16B-03.5.fc20                                         
  erlang-mochiweb.x86_64 0:2.4.2-3.fc20                                         
  erlang-oauth.x86_64 0:1.4.0-1.fc20                                            
  erlang-observer.x86_64 0:R16B-03.5.fc20                                       
  erlang-os_mon.x86_64 0:R16B-03.5.fc20                                         
  erlang-otp_mibs.x86_64 0:R16B-03.5.fc20                                       
  erlang-public_key.x86_64 0:R16B-03.5.fc20                                     
  erlang-runtime_tools.x86_64 0:R16B-03.5.fc20                                  
  erlang-sasl.x86_64 0:R16B-03.5.fc20                                           
  erlang-snappy.x86_64 0:1.0.3-0.5.git80db168.fc20                              
  erlang-snmp.x86_64 0:R16B-03.5.fc20                                           
  erlang-ssl.x86_64 0:R16B-03.5.fc20                                            
  erlang-stdlib.x86_64 0:R16B-03.5.fc20                                         
  erlang-syntax_tools.x86_64 0:R16B-03.5.fc20                                   
  erlang-tools.x86_64 0:R16B-03.5.fc20                                          
  erlang-webtool.x86_64 0:R16B-03.5.fc20                                        
  erlang-wx.x86_64 0:R16B-03.5.fc20                                             
  erlang-xmerl.x86_64 0:R16B-03.5.fc20                                          
  lksctp-tools.x86_64 0:1.0.15-2.fc20

How reproducible:

sudo systemctl start couchdb

Browse to http://127.0.0.1:5984/_utils/verify_install.html and choose to verify your installation.

Actual results:

Three alerts in the SELinux Alert Browser

Expected results:

All operations succeed.

Additional info:

Output of `sudo grep type=AVC /var/log/audit/audit.log` attached.  That output suggests there may be a conflict with my install of docker-io?

Comment 1 Michel Kraus 2014-06-05 10:36:14 UTC
chcon -t couchdb_exec_t /usr/lib64/erlang/erts-5.10.4/bin/beam.smp

and restarting couchdb seems to fix this but will likely break rabbitmq.

So I will call it a temporary workaround.

rabbitmq_beam_t is allowed to bind and connect to couchdb's ports and to manage files but does not have all privileges couchdb_t has.

Comment 2 Ingo Weiss 2015-02-02 20:40:03 UTC
I'm seeing similar issues on Fedora 21 with a fresh install of CouchDB without RabbitMQ.

Please see attachments.

Comment 3 Ingo Weiss 2015-02-02 20:40:51 UTC
Created attachment 987255 [details]
Details from SETroubleshoot

Comment 4 Ingo Weiss 2015-02-02 20:45:33 UTC
Created attachment 987256 [details]
Output of 'sudo grep type=AVC /var/log/audit/audit.log'

Comment 5 Fedora End Of Life 2015-05-29 11:53:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 20:41:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.